type Cylinder = {
    vertice: Float32Array;
    face: Uint16Array;
    numVertice: number;
    numFace: number;
};
export declare class Primitives {
    static instance: Primitives;
    private cylinder;
    static getInstance(): Primitives;
    getCylinder(): Cylinder;
    static createCylinder(radius: number, height: number, detail: number): Cylinder;
}
export {};
